WordPress editor broken

The place to report Pale Moon specific bugs on Linux and other operating systems.

Moderator: satrow

User avatar
Agent Orange
Moongazer
Moongazer
Posts: 7
Joined: 2019-02-20, 18:16

WordPress editor broken

Unread post by Agent Orange » 2019-09-03, 17:41

I am creating a list in the WYSIWYG editor in WordPress 5.2.2 on Pale Moon 28.7.0 [official BZ2] on Linux Mint 19.2

it keeps nuking list items as I try to terminate them, though.

it's not an issue with my configuration, as even just a sample demo WordPress site running in a Private window of Pale Moon in Safe Mode still displays the bug.

Before pressing Enter:
Screenshot_2019-09-03_12-39-04.png
After pressing Enter:
Screenshot_2019-09-03_12-39-14.png
Firefox does not display this bug. I'm currently having to use it to edit my blog.

If any other details would be helpful, let me know. I think/hope I've provided enough details to either replicate or get a confirmed "Works On My Machine" from someone else

Lucio Chiappetti
Lunatic
Lunatic
Posts: 281
Joined: 2014-09-01, 15:11
Location: Milan Italy

Re: WordPress editor broken

Unread post by Lucio Chiappetti » 2019-09-04, 09:18

Since our institute site moved to Wordpress (from the previous homegrown hand-edited stuff) I have been editing the pages I maintain with Palemoon with no problems. One of it has a bullet list, and I just tried to add a new one without problems.
The reasonable man adapts himself to the world: the unreasonable one persists in trying to adapt the world to himself. Therefore all progress depends on the unreasonable man. (G.B. Shaw)

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-04, 09:44

Have you tried restarting the browser in Safe Mode? If it works correctly there, it's likely to be one of your extensions interfering with your editor.
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

User avatar
Agent Orange
Moongazer
Moongazer
Posts: 7
Joined: 2019-02-20, 18:16

Re: WordPress editor broken

Unread post by Agent Orange » 2019-09-05, 02:46

Moonchild wrote:
2019-09-04, 09:44
Have you tried restarting the browser in Safe Mode?
Yes - the bug was still present in safe mode:
Off-topic:
Agent Orange wrote:
2019-09-03, 17:41
even just a sample demo WordPress site running in a Private window of Pale Moon in Safe Mode still displays the bug.
I will try to make the OP more clear next time.

I also, while drafting this post, re-downloaded a fresh copy of Pale Moon from the website, and executed it (with --no-remote) with a completely separate $HOME folder (completely separate PM profiles folder). I then immediately logged in to both my personal blog (self-hosted without any particular management solution), and Softaculous' hosted demo.

The bug was present in both cases.

I'll try again on a live media, next time I find my flash drive. In the meantime, can I get a confirm/deny it's broken with a/any publicly available demo website on Pale Moon 28.7.0 x86_64 on Linux?
Attachments
Screenshot_2019-09-04_21-37-06.png
"• I will now press the enter key<ENTER>"
<screams eternally>

andy80
Apollo supporter
Apollo supporter
Posts: 39
Joined: 2015-01-04, 08:21
Location: Beijing

Re: WordPress editor broken

Unread post by andy80 » 2019-09-05, 05:33

I tried to add a list block on the linked sample site as well as on testgutenberg.com by using Pale Moon 28.7.0 x86_64 on openSUSE.
In both cases, I get the same behaviour as Agent Orange: as soon as I press enter at the end of the first item, its content except for the first character is removed and no second item is added.
It is worth mentioning that on testgutenberg.com the strange behaviour occurs also on the pre-existing lists: if I press enter in any place in one list, everything in it is removed except for the first character of the first item. However, if I press enter when the cursor is on the left of the first character of the first item, then the whole content of the list is removed but two bullets appear with no text.

I made my experiments by creating a new user and running Pale Moon with it, so with a completely fresh profile with no extensions at all.
The error and browser consoles show no message when pressing enter in the list block; in the browser console there are however few messages generated on loading the website, if they are useful:

Code: Select all

Key event not available on some keyboard layouts: key=“i” modifiers=“accel,alt,shift” id=“key_browserToolbox”  
browser.xul
JQMIGRATE: Migrate is installed with logging active, version 1.4.1  
_static:29:2
"Download the React DevTools for a better development experience: https://fb.me/react-devtools"  
_static:22864:9
Block validation: Expected attribute `class` of value `wp-block-cover has-background-dim alignfull wp-block-cover-image`, saw `wp-block-cover-image has-background-dim alignfull`.  
index.js:2:121266
Block validation: Block validation failed for `core/cover` ( Object { name: "core/cover", title: "Cover", description: "Add an image or video with a text o…", icon: Object, category: "common", attributes: Object, transforms: Object, getEditWrapperProps: getEditWrapperProps(), edit: WithColors((Component))(), save: save(), 1 more… } ).

Expected:

<div class="wp-block-cover has-background-dim alignfull wp-block-cover-image" style="background-image:url(https://testgutenberg.com/wp-content/uploads/2018/09/Gutenberg-editor.png)"><p class="wp-block-cover-text">Simple. <br>Powerful. <br>Enterprise-ready.</p></div>

Actual:

<div class="wp-block-cover-image has-background-dim alignfull" style="background-image:url(https://testgutenberg.com/wp-content/uploads/2018/09/Gutenberg-editor.png)"><p class="wp-block-cover-image-text">Simple. <br>Powerful. <br>Enterprise-ready.</p></div>  
index.js:2:121266
Block validation: Expected attribute `class` of value `wp-block-cover has-background-dim alignfull wp-block-cover-image`, saw `wp-block-cover-image has-background-dim alignfull`.  
index.js:2:121266
Block validation: Block validation failed for `core/cover` ( Object { name: "core/cover", title: "Cover", description: "Add an image or video with a text o…", icon: Object, category: "common", attributes: Object, transforms: Object, getEditWrapperProps: getEditWrapperProps(), edit: WithColors((Component))(), save: save(), 1 more… } ).

Expected:

<div class="wp-block-cover has-background-dim alignfull wp-block-cover-image" style="background-image:url(https://testgutenberg.com/wp-content/uploads/2018/09/Gutenberg-editor.png)"><p class="wp-block-cover-text">Simple. <br>Powerful. <br>Enterprise-ready.</p></div>

Actual:

<div class="wp-block-cover-image has-background-dim alignfull" style="background-image:url(https://testgutenberg.com/wp-content/uploads/2018/09/Gutenberg-editor.png)"><p class="wp-block-cover-image-text">Simple. <br>Powerful. <br>Enterprise-ready.</p></div>  
index.js:2:121266
"Warning: Unsafe lifecycle methods were found within a strict-mode tree:
    in StrictMode
    in Unknown (created by r)
    in r (created by Context.Consumer)
    in WithSelect(Component)

componentWillUpdate: Please update the following components to use componentDidUpdate instead: t

Learn more about this warning here:
https://fb.me/react-strict-mode-warnings"  
_static:3533:7
Unhandled promise rejection Error: [object Object]
Stack trace:
a/r</</</<@https://testgutenberg.com/_static/??-eJyVz0sOwjAMBNAL4QZa2sICcRY3MSXgxCEfQJyesmLbLK3RG2vUK4AWn8lnFbjM1ic1l+WcKM5qKpaNwpIlKOsNvZtb2qgVZGKZqoW+Q6Joke0HsxUPhi5YOEPAuARr+57kjUQVCXVu2nagEfWljoER1wzb/aHVely7gJLGQHDNjuumE5P75VXIJkhXZJYX0KNg5UstLkiiOhTJlDdEKdn6Pz27067v+64bj8fd7QsXXd4Q:22890:3322
a/r</</<@https://testgutenberg.com/_static/??-eJyVz0sOwjAMBNAL4QZa2sICcRY3MSXgxCEfQJyesmLbLK3RG2vUK4AWn8lnFbjM1ic1l+WcKM5qKpaNwpIlKOsNvZtb2qgVZGKZqoW+Q6Joke0HsxUPhi5YOEPAuARr+57kjUQVCXVu2nagEfWljoER1wzb/aHVely7gJLGQHDNjuumE5P75VXIJkhXZJYX0KNg5UstLkiiOhTJlDdEKdn6Pz27067v+64bj8fd7QsXXd4Q:22890:3280
run@https://testgutenberg.com/wp-content/plugins/gutenberg/vendor/wp-polyfill.2d9aece5.js:4237:22
notify/<@https://testgutenberg.com/wp-content/plugins/gutenberg/vendor/wp-polyfill.2d9aece5.js:4254:30
flush@https://testgutenberg.com/wp-content/plugins/gutenberg/vendor/wp-polyfill.2d9aece5.js:1422:9
  
wp-polyfill.2d9aece5.js:4272:11

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-05, 07:30

Considering it throws on a "class" statement it's very likely that the wordpress polyfill assumes we have not implemented the toString() TC39 revision that we have in 28.7.0, which brings it in line with other mainstream browsers. See if putting in a site-specific user agent override with a modern Firefox user agent helps. If so, then this should be reported as a bug to Wordpress.
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 5889
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: WordPress editor broken

Unread post by New Tobin Paradigm » 2019-09-05, 08:42

Web software busted BECAUSE we are in-line with mainstream browsers. That's a novel concept.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-05, 10:20

New Tobin Paradigm wrote:
2019-09-05, 08:42
Web software busted BECAUSE we are in-line with mainstream browsers. That's a novel concept.
it's happened plenty of times before. It's the bane of using UA sniffing and NOT keeping a precise and up-to-date browser list. One of the main reasons it's such a bad practice.
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

User avatar
moonbat
Lunatic
Lunatic
Posts: 395
Joined: 2015-12-09, 15:45
Location: Australia

Re: WordPress editor broken

Unread post by moonbat » 2019-09-05, 12:27

Moonchild wrote:
2019-09-05, 10:20

it's happened plenty of times before. It's the bane of using UA sniffing and NOT keeping a precise and up-to-date browser list. One of the main reasons it's such a bad practice.
What is a better way of browser detection? I haven't had to do that since the days of checking whether navigator.appName == MSIE or Netscape, in fact that was what put me off web development altogether.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Linux Mint 19.2 Xfce x64 on HP i5 laptop with 4 GB RAM, always latest versions of PM & Basilisk unless specified.

User avatar
Isengrim
Keeps coming back
Keeps coming back
Posts: 970
Joined: 2015-09-08, 22:54
Location: 127.0.0.1
Contact:

Re: WordPress editor broken

Unread post by Isengrim » 2019-09-05, 12:46

Instead of looking at the useragent and appname and all that, you can try actually using the feature in a try/catch block; if the code fails or throws an exception, the feature either doesn't exist or doesn't function correctly. Then you can modify your page's code accordingly.
Linux Mint 19.2 Cinnamon (64-bit), Windows 7 (64-bit), Windows 10 build 1803 (64-bit)
"As long as there is someone who will appreciate the work involved in the creation, the effort is time well spent." ~ Tetsuzou Kamadani, Cave Story

User avatar
Agent Orange
Moongazer
Moongazer
Posts: 7
Joined: 2019-02-20, 18:16

Re: WordPress editor broken

Unread post by Agent Orange » 2019-09-05, 16:45

Off-topic:
Isengrim wrote:
2019-09-05, 12:46
Instead of looking at the useragent and appname and all that, you can try actually using the feature in a try/catch block ... you can modify your page's code accordingly.
Yeah, unfortunately it's the WordPress devs who are causing problems here; not Pale Moon. It [WP] is at least FOSS, so I can and probably will send in a patch, but the fact that the upstream devs even did this in the first place means it's more likely than not going to be one, small won battle in an uphill, doomed war.

These people care just about exactly one (1) whit how "3rd-party" browsers work with their software; it's an afterthought, not a matter of adhering to standards. If anything, we should be thankful that Firefox at least is still in the good graces of the web community, and it's not just "The World-Wide Webkit"

/rant
Now, that said, I can't actually confirm the "it's the User-Agent" hypothesis — spoofing the UA to FF did not fix it, on both my personal instance and the Softaculous demo.
Moonchild wrote:
2019-09-05, 07:30
See if putting in a site-specific user agent override with a modern Firefox user agent helps. If so, then this should be reported as a bug to Wordpress.
I copied the override for Chase ("Mozilla/5.0 (X11; Linux x86_64; rv:52.9) Gecko/20100101 Firefox/52.9") to my domain, then tried editing the post in a private window. The bug appears identically, even after duplicating to Softaculous' demo. I don't think it's a UA-sniffing issue.

and, again, if there's any kind of extra information/tests you need run, it looks like I, Lucio Chiappetti, and andy80 are all capable of reproducing and would be happy to contribute.
Attachments
Screenshot_2019-09-05_11-43-39.png
even with spoofed FF UA in a fresh session, the bug still occurs
<screams eternally>

User avatar
Agent Orange
Moongazer
Moongazer
Posts: 7
Joined: 2019-02-20, 18:16

Re: WordPress editor broken

Unread post by Agent Orange » 2019-09-05, 16:55

:coffee: tiny update: it looks like my blog — though not yet Softaculous' demo — has updated to WordPress 5.2.3 at some point since this thread was created

(nothing has, however, changed. the bug is still as exactly present as before.)
<screams eternally>

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-05, 22:38

Replacing the UA with an -older- Firefox one will not help here. If it's a ua issue it wants a -newer- one than the default because Pale Moon has aligned more with a later Firefox version here.
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

User avatar
Agent Orange
Moongazer
Moongazer
Posts: 7
Joined: 2019-02-20, 18:16

Re: WordPress editor broken

Unread post by Agent Orange » 2019-09-05, 23:56

Moonchild wrote:
2019-09-05, 22:38
Replacing the UA with an -older- Firefox one will not help here. If it's a ua issue it wants a -newer- one than the default because Pale Moon has aligned more with a later Firefox version here.
Ah, whoops - I'd just grabbed the first UA that caught my eye [out of the existing stash of know-good ad-hoc UA-overrides in about:config].

Trying the Softaculous demo in another, completely fresh profile, with the UA set to "Mozilla/5.0 (X11; Linux x86_64; rv:99.9) Gecko/20100101 Firefox/99.9", though, still yields the same bug. I think it is safe-ish to deduce at this point that it's not caused by UA sniffing. :thumbdown:

Are there any other things in particular you'd like me to try next?

I am, interestingly, not seeing any particular output in the Console through a reload/edit cycle.
<screams eternally>

andy80
Apollo supporter
Apollo supporter
Posts: 39
Joined: 2015-01-04, 08:21
Location: Beijing

Re: WordPress editor broken

Unread post by andy80 » 2019-09-06, 01:02

I instead used the user agent "Mozilla/5.0 (X11; Linux x86_64; rv:69.0) Gecko/20100101 Firefox/69.0" on testgutenberg.com and the result is still the same, at least for me.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-06, 07:17

Does it still work on 28.6.1, or is it broken there also?
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

andy80
Apollo supporter
Apollo supporter
Posts: 39
Joined: 2015-01-04, 08:21
Location: Beijing

Re: WordPress editor broken

Unread post by andy80 » 2019-09-06, 08:53

From a quick test with a fresh profile, it is also broken (with or without user agent override).

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-06, 11:50

Then it is entirely in Wordpress' hands and has nothing to do with what I suspected.
Most likely they are aiming explicitly at the very specific feature set of 1 or 2 versions of 1 or 2 browsers, and DGAF about anyone else.
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

User avatar
Agent Orange
Moongazer
Moongazer
Posts: 7
Joined: 2019-02-20, 18:16

Re: WordPress editor broken

Unread post by Agent Orange » 2019-09-10, 20:33

To consider this topic in the context of the sliding scale of

> WordPress being a bad actor by disregarding established standards "WHY ARE YOU NOT USING THE APPROVED BROWSER, NETIZEN?"
to
> Browser-specific divergence from every other browser, that may (or may not) be due to actually Correct behavior, but causes breakage nonetheless

Moonchild wrote:
2019-09-06, 11:50
very specific feature set of 1 or 2 versions of 1 or 2 browsers
WordPress works perfectly well on Firefox, Chrome, and even Opera and Midori!!

When I get back to a Windows PC, I'll test it on Edge, (but I think I recall it working perfectly editing a post at the library the other day, so take radio silence as confirmed working).

I cannot find another living browser that this bug occurs on. I can go download Netscape when I get back to Windows if you want some more datapoints—but, at this point, I don't imagine testing even more browsers would be helpful. It looks like it's literally just Pale Moon that this behavior is occurring on.

Moonchild wrote:
2019-09-06, 11:50
Then it is entirely in Wordpress' hands … [they] DGAF about anyone else
Again, I want to emphasize that when it comes to "putting the ball in WordPress' court" wrt standards deviation / "breakage blame", I'm here and ready to help run any tests you need / provide any troubleshooting / debugging info that might be helpful :wave:

(I will open the bug report with WordPress myself, in fact, if I start finding evidence that it's not just a bug in PM. Which I am totally willing to do what I can to help determine, in the first place.) They do, in fact, give just 1 care to third-party browsers; it's just the mainline browsers whose bugs they'll outright work around.
<screams eternally>

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 24467
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: WordPress editor broken

Unread post by Moonchild » 2019-09-10, 21:09

I'll give it another go and report this to wordpress on their forum, but I don't have high hopes they will be listening this time.

EDIT: https://wordpress.org/support/topic/iss ... -browsers/
"If you want to build a better world for yourself, you have to be willing to build one for everybody." -- Coyote Osborne
Image

Post Reply